#****************************
#
#****************************
#PACKAGES
#installs  package
install.packages("MASS")

#loads package
library("MASS")
#or
require("MASS")

#****************************
#Writing Commands
#****************************

#R AS A CALCULATOR
15+10
15 + 10
12/6
0.7*5

#VARIABLES
value1 <- 22  #stores 22 in value1
value2 <- 22/7  #stores the result of 22/7 in value2
value1
value2

3value <- 100 #Won't work - can't start with a number
.value <- 100
.3value <- 100  #Won't work- if start with a period next character has to be a letter (not number)
value <- 100
value 3 <- 100  #Won't work - can't have spaces in name

value3 <- 100
value3
Value3  #R is case sensitive

value1
value1/2
new.value <-value1/2
new.value

value4 <- 5^2
value4
value4 <- sqrt(100)
value4

#****************************
#Vectors
#****************************

#COMBINE/CONCATENATE  
dbl_var <- c(1, 2.5, 4.5)
dbl_var
int_var <- c(1L, 6L, 10L)
int_var
log_var <- c(TRUE, FALSE, T, F)
log_var
chr_var <- c("Rob", "Tess", "Megan", "Kevin", "Liam")
chr_var

#CLASS
class(dbl_var)
class(log_var)

#NUMERIC SEQUENCES
1:3
3:1
seq(1,3)
seq(1,3, by=0.5)

#REPEATING
rep(1:3, 2)
rep(1:3, times=1:3)
rep(1:3, c(2,2,2))
rep(c(1,2,3), each=3)

#COMBINING VECTORS
girls <- c("Juliet", "Sierra")
boys <- c("Romeo", "Oscar")
everyone <- c(girls, boys)
everyone
everyone <- c(boys, girls)
everyone

#SUBSETTING A VECTOR
#Extract
x <- c(2.1, 4.2, 3.3, 5.4)
x[c(3, 1)]
# Duplicated indices yield duplicated values
x[c(1, 1)]
# Real numbers are silently truncated to integers
x[c(2.1, 2.9)]
#Omit
x[-c(3,1)]
x[-3]

#REPLACING A VALUE
x<- c(2, 4, 6, 8)
x[1]<- 1 #replaces the first index value with the value 1   
x
x[c(2, 3)]<-c(2, 3)
x

#BUILT IN VECTOR FUNCTIONS
x<- c(2, 4, 6, 8)
y<- c(7, 8, 3, 1)
2*x     #multiplication
y+3  	#addition
x + y   #adds 1st entries, adds 2nd entries, etc.
x*y
sum(x)  #summation
mean(y)  #average

#LOGICAL OPERATIONS
x<-rep(1:3,2)
x
x>=3
x<2
x == 1
x != 1
x == 1 & x == 2
x == 1 | x == 2

#****************************
#Dataframes
#****************************
my.score <- c(1,3,2,2,4)
my.names <- c("Rob", "Tess", "Megan", "Kevin", "Liam")
my.gender <- c("M", "F", "F", "M", "M")
my.dat <- data.frame(Score=my.score, Names=my.names, Gender=my.gender)
my.dat

#install.packages("car")
library(car)

#Load the Vocab data from the car package
data(Vocab)

#check if dataframe
class(Vocab)

dim(Vocab)
nrow(Vocab)
ncol(Vocab)

names(Vocab)

head(Vocab)
head(Vocab, n=10)

tail(Vocab)
tail(Vocab, n=10)

attach(Vocab)
year
detach(Vocab)
year

#first row, first column
Vocab[1,1]
#first two entries in row 1 and row 2
Vocab[1:2,1:2]
#entire first row
Vocab[1,]
#entire first column
Vocab[,1]
Vocab$year[1:5]
Vocab[1:5,'year']

#removing column
head(Vocab, n=3)
temp <- Vocab[,-1]
head(temp, n=3)

#adding a column
attach(Vocab)
names(Vocab)
temp <- cbind(Vocab, log(vocabulary))
head(temp, n=3)

#****************************
# Graphics
#****************************

#HISTOGRAMS
attach(Vocab)
names(Vocab)
hist(vocabulary)

#BOXPLOTS
boxplot(vocabulary)
boxplot(vocabulary~year)

#SCATTERPLOTS
data1<-read.table("scatter1.txt", header=TRUE)
attach(data1)
names(data1)
data2<-read.table("scatter2.txt", header=TRUE)
attach(data2)
names(data2)

#making a scatterplot
plot(xv,ys)

plot(xv,ys)
points(xv2,ys2,col="blue", pch=16)
title("Scatterplot")

plot(xv, ys, type="l", col="red")
lines(xv2, ys2, lty=2, col="blue")

plot(xv,ys)
points(xv2,ys2,col="blue", pch=16)
#adding legend
legend("topleft",c("treatment","control"), pch=c(1,16), col=c("black","blue"))


#****************************
# Hypothesis Testing
#****************************

#T-TEST
#1 sample t-test
t.test(ys,mu=40,alt="greater")

#2 sample t-test
t.test(ys, ys2)

detach(Vocab)
detach(data1)
detach(data2)

